Create new dataset
curl --request POST \
--url https://api.datalinks.com/api/v1/ingest/new/{namespace}/{datasetName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataDescription": "Employee dataset containing demographics and compensation.",
"schemaDefinition": {
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
}
'import requests
url = "https://api.datalinks.com/api/v1/ingest/new/{namespace}/{datasetName}"
payload = {
"dataDescription": "Employee dataset containing demographics and compensation.",
"schemaDefinition": {
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataDescription: 'Employee dataset containing demographics and compensation.',
schemaDefinition: {
id: 'unique employee identifier',
name: 'full employee name',
age: 'employee age in years',
department: 'work department',
salary: 'annual salary in USD'
}
})
};
fetch('https://api.datalinks.com/api/v1/ingest/new/{namespace}/{datasetName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}ingest
Create new dataset
Creates a new dataset within a specified namespace.
POST
/
ingest
/
new
/
{namespace}
/
{datasetName}
Create new dataset
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
Name of the dataset.
Body
application/json
A description of the dataset to help the AI system understand the context.
Maximum string length:
10000Example:
"Employee dataset containing demographics and compensation."
A schema definition mapping field names to descriptions, to guide the AI system in structuring the extracted data.
Show child attributes
Show child attributes
Example:
{
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
Response
Creates a new dataset.
⌘I